/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

/* --- Global value */
static unsigned char g_counter;


/* --- Interrupt */
void my_isr_timer1(void) 
{
	g_counter += 1;
	if (g_counter == 5) {
		g_counter = 0;
	}
}

/* --- main routine */
void main()
{
    /* --- Initialize Module */
	Timer_1_Start();
	irt_timer1_Start();
	
	g_counter = 0;

    CYGlobalIntEnable;

	for(;;)
    {
		switch(g_counter) {
		case 0:
			LED1_Write(0);
			LED2_Write(1);
			LED3_Write(1);
			LED4_Write(1);
			LED5_Write(1);
			break;
		case 1:
			LED1_Write(1);
			LED2_Write(0);
			LED3_Write(1);
			LED4_Write(1);
			LED5_Write(1);
			break;
		case 2:
			LED1_Write(1);
			LED2_Write(1);
			LED3_Write(0);
			LED4_Write(1);
			LED5_Write(1);
			break;
		case 3:
			LED1_Write(1);
			LED2_Write(1);
			LED3_Write(1);
			LED4_Write(0);
			LED5_Write(1);
			break;
		case 4:
			LED1_Write(1);
			LED2_Write(1);
			LED3_Write(1);
			LED4_Write(1);
			LED5_Write(0);
			break;
		default:
			LED1_Write(1);
			LED2_Write(1);
			LED3_Write(1);
			LED4_Write(1);
			LED5_Write(1);
			break;
		}
    }
}

/* [] END OF FILE */
